#!/usr/bin/env sh

set -e

if [ -z "${INFLUXDB_USER}" ]; then
	echo >&2 'Error : missing required ${INFLUXDB_USER} environment variable, exiting.'
	exit 1
fi

if [ -z "${INFLUXDB_PASSWORD}" ]; then
	echo >&2 'Error : missing required ${INFLUXDB_PASSWORD} environment variable, exiting.'
	exit 1
fi

if [ -z "${MATTERMOST_USER}" ]; then
	echo >&2 'Error : missing required ${MATTERMOST_USER} environment variable, exiting.'
	exit 1
fi

if [ -z "${MATTERMOST_PASSWORD}" ]; then
	echo >&2 'Error : missing required ${MATTERMOST_PASSWORD} environment variable, exiting.'
	exit 1
fi

if [ -z "${WEKAN_USER}" ]; then
	echo >&2 'Error : missing required ${WEKAN_USER} environment variable, exiting.'
	exit 1
fi

if [ -z "${WEKAN_PASSWORD}" ]; then
	echo >&2 'Error : missing required ${WEKAN_PASSWORD} environment variable, exiting.'
	exit 1
fi

cp /config.json /code/config/config.json
sed -i "s/INFLUXDB_USER/${INFLUXDB_USER}/g" /code/config/config.json
sed -i "s/INFLUXDB_PASSWORD/${INFLUXDB_PASSWORD}/g" /code/config/config.json
sed -i "s/MATTERMOST_USER/${MATTERMOST_USER}/g" /code/config/config.json
sed -i "s/MATTERMOST_PASSWORD/${MATTERMOST_PASSWORD}/g" /code/config/config.json
sed -i "s/WEKAN_USER/${WEKAN_USER}/g" /code/config/config.json
sed -i "s/WEKAN_PASSWORD/${WEKAN_PASSWORD}/g" /code/config/config.json

INTERVAL_SECONDS=${INTERVAL_SECONDS:-60}

while :
do
	echo ""
	echo "============================="
  echo "$(date) : Gathering stats..."
  python3 main.py
  sleep $INTERVAL_SECONDS
done
